Steam游戏详情
查询 Steam 游戏详细信息,包含中文描述、截图、配置要求、开发商、DLC 数量等。支持 appid 或 name 查询。
GET
https://api.tinyaii.cn/v1/steam/app
请求参数
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| appid | int | 可选 | Steam AppID(和 name 二选一) | 730 |
| name | string | 可选 | 游戏名称 | Counter-Strike 2 |
返回字段
| 字段 | 类型 | 说明 |
|---|---|---|
| data.appid | int | Steam AppID |
| data.name | string | 游戏名称 |
| data.type | string | 类型(game/dlc) |
| data.short_description | string | 中文简介 |
| data.header_image | string | 头图 |
| data.website | string | 官网 |
| data.developers | array | 开发商 |
| data.publishers | array | 发行商 |
| data.genres | array | 游戏类型 |
| data.categories | array | 分类标签 |
| data.platforms | object | 支持平台 |
| data.release_date | object | 发行日期 |
| data.screenshots | array | 截图链接(最多4张) |
| data.pc_requirements | object | PC配置要求 |
| data.dlc_count | int | DLC 数量 |
返回示例
{
"code": 200,
"data": {
"appid": 730,
"categories": [
{
"description": "多人",
"id": 1
},
{
"description": "跨平台多人",
"id": 27
}
],
"developers": [
"Valve"
],
"dlc_count": 1,
"genres": [
{
"description": "动作",
"id": "1"
},
{
"description": "免费开玩",
"id": "37"
}
],
"header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/header_schinese.jpg?t=1780435263",
"name": "Counter-Strike 2",
"pc_requirements": {
"minimum": "<strong>最低配置:</strong><br><ul class=\"bb_ul\"><li><strong>操作系统:</strong> Windows® 10<br></li><li><strong>处理器:</strong> 4 硬件线程 CPU——英特尔® 酷睿™ i5 750 或以上<br></li><li><strong>内存:</strong> 8 GB RAM<br></li><li><strong>显卡:</strong> 显卡须为 1 GB 或以上,且应兼容 DirectX 11 并支持 Shader Model 5.0<br></li><li><strong>DirectX 版本:</strong> 11<br></li><li><strong>存储空间:</strong> 需要 85 GB 可用空间</li></ul>"
},
"platforms": {
"linux": true,
"mac": false,
"windows": true
},
"publishers": [
"Valve"
],
"release_date": {
"coming_soon": false,
"date": "2017 年 9 月 15 日"
},
"screenshots": [
"https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/ss_796601d9d67faf53486eeb26d0724347cea67ddc.1920x1080.jpg?t=1780435263",
"https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/730/ss_d830cfd0550fbb64d80e803e93c929c3abb02056.1920x1080.jpg?t=1780435263"
],
"short_description": "二十多年来,在全球数百万玩家的共同铸就下,Counter-Strike 提供了精湛绝伦的竞技体验。而如今,CS 传奇的下一章即将揭开序幕,那就是 Counter-Strike 2。",
"type": "game",
"website": "http://counter-strike.net/"
},
"message": "success"
}
调用示例
curl "https://api.tinyaii.cn/v1/steam/app?appid=730&name=Counter-Strike 2" \
-H "Authorization: Bearer YOUR_API_KEY"const res = await fetch("https://api.tinyaii.cn/v1/steam/app?appid=730&name=Counter-Strike 2", {
headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());import requests
resp = requests.get(
"https://api.tinyaii.cn/v1/steam/app",
params={"appid": "730", "name": "Counter-Strike 2"},
headers={"Authorization": "Bearer YOUR_API_KEY"},
timeout=10,
)
print(resp.json())把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。